import json, requests
from api_auth import APICredentials, APIParams
audience_id = '02ed9f65570746528e7b3d0628960025' # Replace with the ID for the desired audience.

class Audience:
    def __init__(self):
        self.host = "https://services.uplynk.com"

    def run(self):
        self._get_audience()

    def _get_audience(self):        
        url = "{}{}{}".format(self.host, "/api/v4/audiences/", audience_id)

        headers = {'Content-Type': 'application/json'}

        response = requests.get(
            url, params=APIParams(APICredentials()).get_params({}), headers=headers
        )
  
        print(response.json())
  
Audience().run()